#include "ep_lib.hpp"
#include <mpi.h>
#include "ep_declaration.hpp"
#include <iostream>
#include <fstream>
#include "ep_mpi.hpp"

using namespace std;


namespace ep_lib
{ 
  ep_comm::ep_comm(void* comm)
  {
    is_ep = false;
    is_intercomm = false;
    mpi_comm = static_cast< ::MPI_Comm*>(comm);
  }

  ep_info::ep_info(void* info)
  {
    mpi_info = static_cast< ::MPI_Info*>(info);
  }

  ep_request::ep_request(void* request)
  {
    mpi_request = static_cast< ::MPI_Request*>(request);
  }
  
  ep_status::ep_status(void* status)
  {
    mpi_status = static_cast< ::MPI_Status*>(status);
  }

}









